Page MenuHomePhabricator

Make cp1099 the new pinkunicorn
Closed, DeclinedPublic

Description

The cp system we're currently using for testing purposes (pinkunicorn) is cp1008.wikimedia.org, and it is pretty old. For example, there are no intel-microcode updates being released for its CPU.

We should use cp1099 to replace it.

The new host will be behind a LVS service with IP address 208.80.154.239.

Event Timeline

ema created this task.Aug 28 2018, 7:36 AM
Restricted Application added a project: Operations. · View Herald TranscriptAug 28 2018, 7:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Normal priority.Aug 28 2018, 7:36 AM
ema moved this task from Triage to Caching on the Traffic board.

Change 459989 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] site: make cp1099 the new pinkunicorn

https://gerrit.wikimedia.org/r/459989

Change 460279 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cp1099: disable icinga notifications

https://gerrit.wikimedia.org/r/460279

Change 460279 merged by Ema:
[operations/puppet@production] cp1099: disable icinga notifications

https://gerrit.wikimedia.org/r/460279

ema updated the task description. (Show Details)Sep 13 2018, 3:52 PM

Change 480728 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache_canary LVS service

https://gerrit.wikimedia.org/r/480728

ayounsi added subscribers: Cmjohnson, ayounsi.EditedMar 6 2019, 11:26 PM

cp1099 is the last standing host between me and powering off asw-c-eqiad.

From this task and the prompt cp1099 is a Unpuppetised system for testing (test) it should be fine to move its uplink anytime.

@Cmjohnson can you move cp1099's uplink from asw-c-eqaid:xe-8/0/32 to asw2-c-eqaid:xe-8/0/32 (the port is already configured)?

cp1099 is the last standing host between me and powering off asw-c-eqiad.
From this task and the prompt cp1099 is a Unpuppetised system for testing (test) it should be fine to move its uplink anytime.

It is, yes.

@ayounsi asw2-c8 is a 1G switch....does this need to go to a 10G rack?

I can move to asw2-c7 xe-7/0/6 looks open

Mentioned in SAL (#wikimedia-operations) [2019-03-07T16:54:38Z] <cmjohnson1> powering off cp1099 to move to different rack T202966

Mentioned in SAL (#wikimedia-operations) [2019-03-12T08:15:38Z] <ema> cp1099: ferm.service failed to resolve prometheus1003.eqiad.wmnet. ferm restarted T202966

faidon added a subscriber: faidon.Apr 9 2019, 12:54 PM

According to Netbox, cp1099 is 2 years newer than cp1008, but is still a 6-year old server (purchased Mar 28, 2013). Can we just get rid of it? I'm concerned we're just spending cycles on a box that may die any day now and that we won't be able to repair...

Or maybe use one of cp1071-cp1074, the servers which were used for the original ATS tests? These were bought in 2015 and are currently unused.

jbond added a subscriber: jbond.Aug 1 2019, 2:08 PM
BBlack closed this task as Declined.Aug 1 2019, 3:31 PM
BBlack added a subscriber: BBlack.

We had a quick discussion and a small informal vote and decided we don't really need this functionality (pinkunicorn) anymore, so we're going to retire it and not replace it.

Change 459989 abandoned by Ema:
site: make cp1099 the new pinkunicorn

Reason:
Not happening

https://gerrit.wikimedia.org/r/459989

Change 480728 abandoned by Ema:
cache_canary LVS service

https://gerrit.wikimedia.org/r/480728